Skip to main content
PATCH
/
v2
/
salesorder
/
update
Modifies an existing sales order.
curl --request PATCH \
  --url https://api.jtl-cloud.com/erp/v2/salesorder/update \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --header 'x-appid: <x-appid>' \
  --header 'x-appversion: <x-appversion>' \
  --header 'x-tenant-id: <x-tenant-id>' \
  --data '
{
  "salesOrderId": "b45f6432-2462-4c6f-b00f-1d9d01000000",
  "companyId": "b45f6432-2462-4c6f-b00f-1d9d01000000",
  "customerId": "b45f6432-2462-4c6f-b00f-1d9d01000000",
  "billingAddress": {
    "salutation": "<string>",
    "title": "<string>",
    "firstName": "<string>",
    "lastName": "<string>",
    "company": "<string>",
    "additionalCompanyLine": "<string>",
    "street": "<string>",
    "additionalAddressLine": "<string>",
    "city": "<string>",
    "postalCode": "<string>",
    "state": "<string>",
    "countryIso": "<string>",
    "postId": "<string>",
    "emailAddress": "<string>",
    "phoneNumber": "<string>",
    "mobilePhoneNumber": "<string>",
    "fax": "<string>",
    "vatId": "<string>"
  },
  "shipmentAddress": {
    "salutation": "<string>",
    "title": "<string>",
    "firstName": "<string>",
    "lastName": "<string>",
    "company": "<string>",
    "additionalCompanyLine": "<string>",
    "street": "<string>",
    "additionalAddressLine": "<string>",
    "city": "<string>",
    "postalCode": "<string>",
    "state": "<string>",
    "countryIso": "<string>",
    "postId": "<string>",
    "emailAddress": "<string>",
    "phoneNumber": "<string>",
    "mobilePhoneNumber": "<string>",
    "fax": "<string>",
    "vatId": "<string>"
  },
  "shippingMethodId": "b45f6432-2462-4c6f-b00f-1d9d01000000",
  "paymentMethodId": "b45f6432-2462-4c6f-b00f-1d9d01000000",
  "lineItems": [
    {
      "salesOrderLineItemId": "b45f6432-2462-4c6f-b00f-1d9d01000000",
      "taxClassId": "b45f6432-2462-4c6f-b00f-1d9d01000000",
      "taxCodeId": "b45f6432-2462-4c6f-b00f-1d9d01000000",
      "discountPercent": 123,
      "itemId": "b45f6432-2462-4c6f-b00f-1d9d01000000",
      "name": "<string>",
      "note": "<string>",
      "quantity": 123,
      "salesPriceNet": 123,
      "salesUnit": "<string>",
      "sku": "<string>",
      "taxRate": 123,
      "type": 0
    }
  ]
}
'

Authorizations

Authorization
string
header
required

The access token received from the authorization server in the OAuth 2.0 flow.

Headers

api-version
string
x-appid
string
required

This is the name of your application, e.g. "MyApp/1.0.0". It is used to identify your application.

x-appversion
string
required

This is where the version number of your application is entered, e.g. "1.0.0".

x-runas
string

The User-Id (int or uuid) on whose behalf the request is executed. Requires scope 'Application.RunAs'.

X-SessionId
string<uuid>

The id of a session in which the call will be executed.

x-companyid
string

The Company-Id (int or uuid) of the company on whose behalf the request is executed.

x-tenant-id
string<uuid>
required

The tenant ID for the target ERP instance.

Body

application/json

Request parameters

Modifies an existing sales order. - Request

salesOrderId
string<uuid>

Unique ID of the sales order to be modified.

Example:

"b45f6432-2462-4c6f-b00f-1d9d01000000"

companyId
string<uuid>

Unique ID of the company.

Example:

"b45f6432-2462-4c6f-b00f-1d9d01000000"

customerId
string<uuid>

The ID of the customer associated with the sales order.

Example:

"b45f6432-2462-4c6f-b00f-1d9d01000000"

billingAddress
object

SalesOrderBillingAddress

shipmentAddress
object

SalesOrderBillingAddress

shippingMethodId
string<uuid>

The ID of the shipping method for the sales order.

Example:

"b45f6432-2462-4c6f-b00f-1d9d01000000"

paymentMethodId
string<uuid>

The ID of the payment method for the sales order.

Example:

"b45f6432-2462-4c6f-b00f-1d9d01000000"

lineItems
object[]

The line items included in the sales order.

Response

200 - application/json

SalesOrder was successfully modified.